import java.awt.Color; 
import java.awt.Graphics;
import javax.swing.JFrame;
import javax.swing.JPanel;

public class Main {
private static final double SX = 0.008; //         
private static final double SY = 0.008;
private static final int WIDTH = 640; //  
private static final int HEIGHT = 480; //  
private static final double DX = -350; //    
private static final double DY = -235; //    
private static final int COUNT_ITER = 500; //  ,    -   
private static final int BAIL_OUT = 16;
private static final int STEP_X = 10;
private static final int STEP_Y = 10;

private static void drawFractals(Graphics g) {

g.setColor(Color.BLACK); //    
g.fillRect(0, 0, WIDTH, HEIGHT); //     

for (int i = 0; i < WIDTH; i += STEP_X) {
for (int j = 0; j < HEIGHT; j += STEP_Y) {
double c = SX * (i + DX); //   X 
double d = SY * (j + DY); //   Y
double x = c; //  
double y = d; //  y
double t;
int k = 0;
g.setColor(new Color((float)Math.random(), //       
(float)Math.random(), (float)Math.random())); 
while (x * x + y * y < BAIL_OUT && k < COUNT_ITER) { // 
t = x * x - y * y + c;
y = 2 * x * y + d;
x = t;
g.drawOval((int) (x / SX - DX), (int) (y / SY - DY), 1, 1);
++k;
}
}
} 


}

public static void main(String[] args) {

JFrame frame = new JFrame(); //  

frame.setSize(WIDTH, HEIGHT); //   
frame.setLocation(WIDTH / 2 + 150 , HEIGHT / 2); //  

frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE); //  ,   

frame.add(new JPanel() { //    JPanel
@Override public void paintComponent(Graphics g) { //    
super.paintComponent(g); 
drawFractals(g); //   
}
});
frame.setVisible(true); //   
}
}